<script>
jQuery(document).on('click', '.am-cart-qty-el .am-cart-qty-el-minus', function () {
    let input = jQuery(this).closest('.am-cart-qty-el').find('input[type=text]');
    input.val(Math.max(parseInt(input.val()) - 1, 1));
    jQuery(this).closest('form').find('.am-cart-checkout-buttons-update').click();
    return false;
});
jQuery(document).on('click', '.am-cart-qty-el .am-cart-qty-el-plus', function() {
    let input = jQuery(this).closest('.am-cart-qty-el').find('input[type=text]');
    input.val(Math.max(parseInt(input.val()) + 1, 1));
    jQuery(this).closest('form').find('.am-cart-checkout-buttons-update').click();
    return false;
});
jQuery(document).on('keyup', '.am-cart-qty-el .am-cart-qty-el-val', function() {
    let val = parseInt(jQuery(this).val());
    jQuery(this).val(Math.max(isNaN(val) ? 1 : val, 1));
});
jQuery(document).on('change', '.billing-plan-select', function () {
    let flag = jQuery(this).data('map')[jQuery(this).val()];
    jQuery(this).closest('.am-cart-product').find('.am-cart-product-content-qty').toggle(flag);
    if (!flag) {
        jQuery(this).closest('.am-cart-product').find('.am-cart-product-content-qty input[type=text]').val(1);
    }
    jQuery(this).closest('.am-cart-product').find('.billing-plan-options').hide();
    jQuery('#product-options-' + jQuery(this).data('product_id') + '-' + jQuery(this).val()).show();
});
jQuery('.billing-plan-select').change();
</script>